Bug 1482137 - Updating Subnet Parameter with invalid name doesn't shows any error
Summary: Updating Subnet Parameter with invalid name doesn't shows any error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Parameters
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1493107
TreeView+ depends on / blocked
 
Reported: 2017-08-16 14:25 UTC by Jitendra Yejare
Modified: 2019-08-12 14:08 UTC (History)
7 users (show)

Fixed In Version: foreman-1.15.6.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:31:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20840 0 None None None 2017-09-04 13:27:04 UTC

Description Jitendra Yejare 2017-08-16 14:25:05 UTC
Description of problem:
While updating the subnet parameter with some invalid name(name containing spaces) doesn't show an error 'Name can't contain spaces' or equivalent error

Version-Release number of selected component (if applicable):
Satellite 6.3.0 Snap 11

How reproducible:
Always

Steps to Reproduce:
1. Create Subnet
2. Add parameter with valid name and valid value
3. From Web UI, Open above subnet and attempt to update the parameter with an invalid name(I tried with a name containing space).

Actual results:
Satellite web doesn't throw error for an invalid name(in my case 'Name can't contain spaces')

Expected results:
Satellite web should throw an error for updating subnet parameter with an invalid name.

Additional info:
Production logs throwing a correct error as below but not UI:
[I] Current user: admin (administrator)
2017-08-16 10:10:03 0bea6436 [app] [I] Failed to save: Name can't contain spaces.
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered subnets/_fields.html.erb (8.7ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.9ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered common_parameters/_parameters.html.erb (20.8ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered taxonomies/_loc_org_tabs.html.erb (23.7ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered subnets/_form.html.erb (91.5ms)
2017-08-16 10:10:03 0bea6436 [app] [I]   Rendered subnets/edit.html.erb (92.0ms)
2017-08-16 10:10:03 0bea6436 [app] [I] Completed 200 OK in 148ms (Views: 84.9ms | ActiveRecord: 15.6ms)

Comment 3 orabin 2017-09-04 13:27:01 UTC
Created redmine issue http://projects.theforeman.org/issues/20840 from this bug

Comment 4 Satellite Program 2017-09-06 12:01:20 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 5 Satellite Program 2017-09-06 12:01:25 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 6 Satellite Program 2017-09-07 16:01:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20840 has been resolved.

Comment 7 Jitendra Yejare 2017-10-31 11:20:43 UTC
This bug belongs to 6.3 feature Parameterized Subnet and has to be fixed asap, great if we can get this in before Beta.

Comment 10 Jitendra Yejare 2017-11-27 11:49:06 UTC
Verified!

@Satellite 6.3 snap 26

Steps:
As per Description

Behavior:
The Parameter is not allowing to be updated with invalid name.
e.g Throws error 'name cant contain space' error in case of updating with space.

Comment 11 Bryan Kearney 2018-02-21 17:31:28 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.